"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.walletConstants = exports.networkConstants = exports.taskConstants = void 0;
const constants_1 = require("./constants");
/**
 * @description Object that constains list of tasks user can perform as its keys and their corresponding CLI commands as values.
 */
exports.taskConstants = {
    'View chain addresses': 'addresses',
    'Check on-chain balance': "balance",
    'Get network info': "network",
    'Get validator info': "validators",
    'Move assets from C-chain to P-chain': 'CP',
    'Move assets from P-chain to C-chain': "PC",
    'Add a validator node': "stake",
    'Delegate to a validator node': "delegate",
    'Get Mirror fund details': 'mirror',
    'Claim Rewards': "rewards"
};
/**
 * @description Constant object which contains the supported networks and their corresponding formatted output names as key-value pairs.
 */
exports.networkConstants = {
    "flare": `Flare ${constants_1.colorCodes.greenColor}(Mainnet)${constants_1.colorCodes.resetColor}`,
    "costwo": `Coston2 ${constants_1.colorCodes.yellowColor}(Testnet)${constants_1.colorCodes.resetColor}`,
    "localflare": `LocalHost ${constants_1.colorCodes.redColor}(for development only)${constants_1.colorCodes.resetColor}`
};
/**
 * @description Constant object which contains the supported wallets and their corresponding formatted output names as key-value pairs.
 */
exports.walletConstants = {
    "ledger": 'Ledger',
    "publicKey": 'Public Key',
    "privateKey": `Private Key ${constants_1.colorCodes.redColor}(not recommended)`
};
